FROM registry.access.redhat.com/ubi9/ubi:9.4-947.1714667021@sha256:ed84f34cd929ea6b0c247b6daef54dd79602804a32480a052951021caf429494

ENV ANSIBLE_LINT_VERSION=6.22.1 \
    DNF_OPTS="--setopt=install_weak_deps=False --setopt=tsflags=nodocs"

RUN dnf update -y && \
    dnf install -y ${DNF_OPTS} \
                python3-pip \
&&  dnf clean all -y

RUN pip install --no-cache-dir \
                "ansible-lint==${ANSIBLE_LINT_VERSION}"
